<template lang="html">
  <div class="audio-reader-list">
  <div v-for="audio in orderedAudiosLocal">
    <audio-reader :audio="audio"/>
  </div>
</div>
</template>

<script>
import audioReader from '@/components/AudioReader'
export default {
  name:'AudioReaderList',
  props:['audios'],
  components:{
    'audioReader' : audioReader
  },
  computed:{
    audiosLocal(){
      return [...this.audios]
    },
    orderedAudiosLocal(){
      if(this.audiosLocal.length>1){
        return this.audiosLocal.sort((a, b) =>  parseFloat(b.date) - parseFloat(a.date));
      }else {
        return this.audiosLocal;
      }

    }
  }
}
</script>

<style lang="css">
</style>
